Skip to main content

Retrieve JWT using Login

POST 

/api/v1/login

Web applications should use this API to retrieve JWT and user profile. Subsequent API calls can then use the JWT obtained.

Request JSON

ParameterTypeDescription
emailstringLogin email ID
passwordstringLogin password

API RESPONSE

A JSON with JWT and other user details.

Response with JWT

{
"user_id": 42,
"user_email": "user@example.org",
"username": "John Doe",
"jwt": "JWT",
"role_id": 1,
"role_name": "ADMIN",
"permissions": ["CREATE_ASSET", "READ_ASSET", "EDIT_ASSET"],
"uploadkey": "ec5139a372f6478d97365ec0df9c9a814",
"accessID": "IZJTAMBQGAYDAMBQGAYDAMBQGAYDANKT",
"preferences": {},
"notifications": ["Notification message 1"]
}
ParameterTypeDescription
jwtstringJSON Web Token. Use this in subsequent API calls as Authorization: Bearer <jwt>.
user_idintegerUnique user identifier
user_emailstringUser's email address
usernamestringUser name as Firstname Lastname
role_idintegerUser role ID (1=ADMIN, 2=MANAGER, 3=USER, 4=CREATOR)
role_namestringUser role name
permissionsarrayList of permission tokens for this user's role
uploadkeystringFile upload key for use in Picker widget
accessIDstringAccess identifier for signed URL generation
preferencesobjectUser preferences
notificationsarrayList of notification messages since last login

Request

Responses

Successful login